//Contains the classes for characters (pc's and npc's)

#ifndef CHARACTERS_H
#define CHARACTERS_H

//this needs to be fixed, won't compile without this include, errors on CWeapon and CWorldEquipment classes
//as not defined
#include "equipment.h"

//base class for all characters, pcs and npcs
class CCharacter
{
public:
	CCharacter();
	int RoomID;//roomID of character
	double Gold;//amount of gold character has
	
	CWeapon Weapon;//character's weapon
	//sets the character's weapon from the world list of weapons
	void SetWeapon(CWorldEquipment WorldEquipment,int WeaponID);

	CArmor Armor;//character's armor
	//sets the character's armor from the world list of armor
	void SetArmor(CWorldEquipment WorldEquipment, int ArmorID);

	/*displays stats for the character, this is in the base class because we may use it with monsters
	for debugging purposes*/
	void DisplayStats(double BankedGold);
private:
};

//derived from CCharacter, this is the main character that the user will control
class CPlayerCharacter : public CCharacter
{
public:
	CPlayerCharacter();
private:
};


#endif