#include <iostream>
#include <string>
#include "menu.h"

using std::cout;
using std::endl;

//CMainMenu constructor
CMainMenu::CMainMenu()
{
	//display the menu creation
	cout<<"Main Menu created"<<endl;
}
//CMainMenu functions
//Displays the main menu
void CMainMenu::DisplayMenu()
{
	//display main menu
	cout<<"---------MAIN MENU------------------------------------\n";
	cout<<" PLEASE CHOOSE FROM THE FOLLOWING OPTIONS \n";
	cout<<"A. Enter World\n";
	cout<<"Q. Quit\n";
	cout<<"------------------------------------------------------\n";

}
//processes the menu choice made
int CMainMenu::ProcessMenuChoice(std::string choice)
{
	//if the choice is an invalid length, return false
	if(choice.length()!=1)
	{
		cout<<"Invalid Choice!\n";
		return 0;
	}

	//if enter world is selected
	if(choice=="a" || choice=="A")
	{
		cout<<"Enter World Selected\n";
		return MAIN_MENU_ENTER_WORLD;
	}
	//if player is quitting (wanus)
	else if(choice=="q" || choice=="Q")
	{
		cout<<"Quitting?? Shlub...\n";
		return MAIN_MENU_QUIT;
	}
	//something else selected, invalid choice
	else
	{
		cout<<"Invalid Choice!\n";
		return 0;
	}

	//if we made it this far, something is wrong
	cout<<"Something is Wrong\n";
	return 0;
}