#include <conio.h>
#include <ctype.h>
#include <stdio.h>
#include <stdlib.h>
#include <windows.h>

#include "consolesettings.h"


//sets the console text color
void SetTextColor(HANDLE hConsole,int Color, bool Intense)
{
	switch(Color)
	{
	case TEXT_WHITE:
		if(Intense)
			SetConsoleTextAttribute( hConsole, FOREGROUND_RED | FOREGROUND_GREEN | FOREGROUND_BLUE |
			FOREGROUND_INTENSITY);
		else
			SetConsoleTextAttribute( hConsole, FOREGROUND_RED | FOREGROUND_GREEN | FOREGROUND_BLUE );
		break;
	case TEXT_GREEN:
		if(Intense)
			SetConsoleTextAttribute( hConsole, FOREGROUND_GREEN |FOREGROUND_INTENSITY);
		else
			SetConsoleTextAttribute( hConsole, FOREGROUND_GREEN);
		break;
	case TEXT_BLUE:
		if(Intense)
			SetConsoleTextAttribute( hConsole, FOREGROUND_BLUE | FOREGROUND_INTENSITY);
		else
			SetConsoleTextAttribute( hConsole, FOREGROUND_BLUE );
		break;
	case TEXT_RED:
		if(Intense)
			SetConsoleTextAttribute( hConsole, FOREGROUND_RED | FOREGROUND_INTENSITY);
		else
			SetConsoleTextAttribute( hConsole, FOREGROUND_RED);
		break;
	//FOR TESTING DIFFERENT COLORS
	case TEXT_TEST:
		SetConsoleTextAttribute( hConsole, FOREGROUND_RED | FOREGROUND_BLUE | FOREGROUND_INTENSITY);
		break;

	default:
		SetConsoleTextAttribute( hConsole, FOREGROUND_RED | FOREGROUND_GREEN | FOREGROUND_BLUE |
			FOREGROUND_INTENSITY);
		break;
	}
}