//Contains the classes for the shops (blacksmith,armory,general items)
#ifndef SHOPS_H
#define SHOPS_H

//this needs to be fixed, won't compile without this include, errors on CWeapon and CWorldEquipment classes
//as not defined
#include "equipment.h"
#include "characters.h"//same problem as above for characters


//set up some sort of ID for each shop, and then some sort of list that shows what each shop wants to show
//from the world menu.

//perhaps a vector of the same size as the world list that is set to true and false for each entry,
//if it's true, it lists that item.

//purchase weapon - send the availableweapon[purchaserequest] ID to the WorldList.

//constants
const int NUM_OF_BLACKSMITHS=10;
const int NUM_OF_ARMORERS=10;

class CBlacksmith
{
public:
	CBlacksmith();
	int ID;//the blacksmith's ID
	std::vector <int> AvailableWeapons;//a vector of the weapon ID's that will be available at the shop
	void DisplayItemsForSale(CWorldEquipment WorldEquipment);//shows the items that are available
	//returns true if the purchase is successful
	bool PurchaseWeapon(CWorldEquipment WorldEquipment, CPlayerCharacter &Character, int PurchaseSlot);
private:
};

class CArmory
{
public:
	CArmory();
	int ID;//the armory's ID
	std::vector <int> AvailableArmor;//a vector of the armor ID's that will be available at the shop
	void DisplayItemsForSale(CWorldEquipment WorldEquipment);//shows the items that are available
	//returns true if the purchase is successful
	bool PurchaseArmor(CWorldEquipment WorldEquipment, CPlayerCharacter &Character, int PurchaseSlot);
private:
};

class CShops
{
public:
	CShops();
	std::vector <CBlacksmith> Blacksmiths;
	void LoadBlacksmiths(char *filename);
	std::vector <CArmory> Armorers;
	void LoadArmorers(char *filename);
private:
};

#endif